<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" version="1.0">
	<xsl:output indent="no" method="text"  encoding="iso-8859-1"/>

<xsl:template match="/">
	<xsl:apply-templates select="beans_cmf"/>
</xsl:template>


<xsl:template match="beans_cmf">

## Copyright (C) 2001, Makina Corpus, http://makina-corpus.org
## Maintained by Alexandre Passant 
## Released under GPL version 2
## See LICENSE.txt or http://www.gnu.org/copyleft/gpl.html

__version__ = "<xsl:value-of select="version"/>"
__doc__ = """<xsl:value-of select="doc"/>"""


import CMFTutorial
from Products.CMFCore import utils, CMFCorePermissions, DirectoryView

import sys
this_module = sys.modules[ __name__ ]

tutorial_globals = globals()


contentConstructors = (<xsl:value-of select="fti/product"/>.add<xsl:value-of select="fti/product"/>,)
contentClasses = (<xsl:value-of select="fti/product"/>.<xsl:value-of select="fti/product"/>,)

DirectoryView.registerDirectory('skins', tutorial_globals)

z_bases = utils.initializeBasesPhase1(contentClasses, this_module)

def initialize(context):
    utils.initializeBasesPhase2(z_bases, context)
    utils.ContentInit('CMF <xsl:value-of select="fti/product"/>',
                      content_types = contentClasses,
                      permission = CMFCorePermissions.AddPortalContent,
                      extra_constructors = contentConstructors,
                      fti = <xsl:value-of select="fti/product"/>.factory_type_information
		      ).initialize(context)

</xsl:template>

</xsl:stylesheet>